It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like:Chrome,Firefox,Internet Explorer orOpera

×
arrow-down2arrowcart2close4fat-arrow-leftfat-arrow-rightfeedbackfriends2happy-facelogo-gognotificationnotifications-emptyownedremove-menusad-facesearch2wishlist-menuwishlisted2own_thingsheartstartick
GOG Galaxy installation has been an absolute nightmare -- I keep getting "The drive or UNC share you selected does not exist or is not accessible. Please select another."

I'm currently on v1.08, and would like to update to the latest patch...but I can't find the patches on either GOG or CDPR's website. Are they so in love with GOG Galaxy that they don't want us to be able to patch their games through any other fashion, haha?
This question / problem has been solved by Hickoryimage
avatar
tlo3794: I'm currently on v1.08, and would like to update to the latest patch.
You can't. You haven't been able to update from old patches for ages. The older patches are simply not available. To update to the latest patch, download the latest installer or choose Verify/Repair in Galaxy, which will completely update to the newest version.
avatar
tlo3794: I'm currently on v1.08, and would like to update to the latest patch.
avatar
Hickory: You can't. You haven't been able to update from old patches for ages. The older patches are simply not available. To update to the latest patch, download the latest installer or choose Verify/Repair in Galaxy, which will completely update to the newest version.
Thanks man, appreciated.

If I'd known I wouldn't get around to playing it until now, I would have waited for the GOTY edition rather than pre-ordering it, haha.